@import "./variables";
@import "./mixins/mixins";
/* TOC card styles START here */
::ng-deep :root {
  --cc-toc-card-item-bg:var(--white);
  --cc-toc-card-item-hover:var(--primary-100);
  --cc-toc-card-item-title:var(--primary-400);
  --cc-toc-card-item-title-hover:var(--primary-400);
  --cc-toc-card-item-br:var(--primary-300);
  --cc-toc-card-item-bs:var(--rc-rgba-primary);
  --cc-toc-card-item-img-bg:var(--rc-dddddd);
  --cc-toc-card-item-score-text:#3F19C3;
}

.sbchapter__item {
  background: var(--cc-toc-card-item-bg);
  border: 0.0625rem solid var(--cc-toc-card-item-br);
  box-shadow: 0 0.1875rem 0.25rem 0 rgba(var(--cc-toc-card-item-bs), 0.1);
  display: flex;
  align-items: center;
  margin-bottom: 0.5rem;
  padding: 0.5rem;
  cursor: pointer;
  min-height: 3.5rem;
  transition: all 0.2s ease-in;
}
.sbchapter__item .sbchapter__img {
  width: 1.5rem;
  height: 1.5rem;
  flex: 0 0 1.5rem;
  display: flex;
  align-items: center;
  background: var(--cc-toc-card-item-img-bg);
}
.sbchapter__item .sbchapter__img img {
  width: 100%;
  max-height: 100%;
  object-fit: cover;
}
.sbchapter__item .sbchapter__img .icon-svg svg.icon.icon-svg--primary {
  fill: #9CB9FF;
}
.sbchapter__item .sbchapter__img--inprogress .icon-svg svg.icon.icon-svg--primary {
  fill: var(--primary-color);
}
.sbchapter__item:hover, .sbchapter__item--active, .sbchapter__item--active:hover {
  background: var(--cc-toc-card-item-hover);
}
.sbchapter__item:hover .sbchapter__item__title, .sbchapter__item--active .sbchapter__item__title, .sbchapter__item--active:hover .sbchapter__item__title {
  color: var(--cc-toc-card-item-title-hover);
}
.sbchapter__item--active .sbchapter__item__title {
  font-weight: bold;
}

.sbchapter__item__title {
  font-size: 0.75rem;
  line-height: 1.25rem;
  color: var(--cc-toc-card-item-title);
  margin: 0px;
  padding: 0px;
  font-weight: normal;
  margin-right: 2rem;
}
@media (max-width: 767px) {
  .sbchapter__item__title {
    margin-right: 0rem;
    margin-bottom: 0.5rem;
  }
}

.sbchapter__item__score {
  text-transform: uppercase;
  color: var(--cc-toc-card-item-score-text);
  font-size: 0.6875rem;
  text-align: right;
  white-space: nowrap;
}
@media (max-width: 767px) {
  .sbchapter__item__score {
    text-align: left;
  }
}

.certificate-course-content {
  display: flex;
  align-items: center;
  width: 100%;
}
@media (max-width: 767px) {
  .certificate-course-content {
    display: block;
  }
}

.pl-8 {
  padding-left: 0.5rem;
}

.background-transparent {
  background: none !important;
}

.sbchapter__play__btn {
  border: 0.0625rem solid var(--primary-color);
  border-radius: 1rem;
  color: var(--primary-color);
  background-color: var(--white);
  padding: 0.25rem;
}
.sbchapter__play__btn svg {
  height: 1rem;
  width: 1rem;
  vertical-align: middle;
}

.sb-card-swap {
  flex-direction: row-reverse;
}
.sb-card-swap .arrange-card-items {
  display: contents;
}

.sb_success_check {
  position: absolute;
  top: -0.3rem;
  right: -0.3rem;
}

.pr-8 {
  padding-right: 0.5rem;
}

.ml-auto {
  margin-left: auto;
}
